﻿B4i=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.8
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	
	Private Page1 As Page
	Private xui As XUI
	Private chat1 As ChatTest
	Private pnlRoot As B4XView
End Sub

public Sub Show 
	Try
		
		If Page1.IsInitialized=False Then
			Page1.Initialize("Page1")
			Page1.RootPanel.LoadLayout("MessageDetailsTest")
		End If
		
		pnlRoot.LoadLayout("chattest")
		Main.NavControl.ShowPage(Page1)
		
		chat1.Initialize(pnlRoot)
		
		CallClear
		
		FillList
		
	Catch
		Log(LastException)
	End Try
End Sub


Private Sub Page1_Click
	Page1.ResignFocus
End Sub

Sub Page1_Resize (Width As Float, Height As Float)
	Dim r As Rect = Page1.SafeAreaInsets
	pnlRoot.SetLayoutAnimated(0, r.Left, r.Top, Width - r.Right - r.Left, Height - r.Bottom - r.Top)
End Sub

Private Sub Page1_KeyboardStateChanged (Height As Float)
	If Height = 0 Then
		chat1.HeightChanged(pnlRoot.Height)
	Else
		chat1.HeightChanged(Page1.RootPanel.Height - Height) 'can ignore safe area
	End If
End Sub

Private Sub Page1_BarButtonClick (Tag As String)
	Log(Tag)
	
	If Tag="Clear" Then
		CallClear
	End If
	
End Sub


Private Sub CallClear
	Try
		chat1.Clear		
	Catch
		Log(LastException)
	End Try
End Sub

Private Sub FillList
	Try
		Dim txt As String
		
		For i =0 To 10
			txt="Message " & MessageListTest.MessageStr & " " & i
			If i Mod 2 =0 Then
				chat1.AddItem(txt,True)
			Else
				chat1.AddItem(txt,False)
			End If
		Next
	Catch
		Log(LastException)
	End Try
End Sub
